org.apache.maven.scm.provider.perforce.command.unedit

## Class PerforceUnEditConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer
  - - org.apache.maven.scm.provider.perforce.command.unedit.PerforceUnEditConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class PerforceUnEditConsumer
    extends AbstractPerforceConsumer
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: PerforceChangeLogConsumer.java 331276 2005-11-07 15:04:54Z evenisse $
Author:
  Mike Perham

### Field Summary

### Fields inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

`output`

### Constructor Summary

Constructors
Constructor and Description
`PerforceUnEditConsumer()`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getEdits()`
`boolean` `isSuccess()`

### Methods inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

`getOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceUnEditConsumer

    public PerforceUnEditConsumer()

### Method Detail

#### getEdits

    public List getEdits()

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### isSuccess

    public boolean isSuccess()